Subject: bnep module in 2.6.27 fails to provide bnep0 device

From: Mck <[email-masked]>
Date: Sat, 03 Jan 2009 02:20:14 +0100

This used to work for me but after some system updates is now broken.

I'm using the following combination on gentoo:

 linux-2.6.27 (64-bit)
 bluez-libs-3.36
 bluez-utils-3.36

Restarting bluetooth with the usb dongle in gives in the system log:

[hcid] Bluetooth HCI daemon
[hcid] Parsing /etc/bluetooth/main.conf failed: No such file or directory
[hcid] Starting SDP server
[hcid] Unix socket created: 11
[hcid] Registered manager path:/org/bluez/audio
[hcid] Registered input manager path:/org/bluez/input
[hcid] Starting experimental netlink support
[kernel] pan0: Dropping NETIF_F_UFO since no NETIF_F_HW_CSUM feature.
[hcid] Failed to find Bluetooth netlink family
[hcid] Can't init plugin /usr/lib64/bluetooth/plugins/netlink.so
[hcid] bridge pan0 created
[hcid] Registered manager path:/org/bluez/network
[hcid] Registered server path:/org/bluez/network/nap
[hcid] Registered server path:/org/bluez/network/gn
[hcid] Registered server path:/org/bluez/network/panu
[hcid] Registered manager path:/org/bluez/serial
[hcid] HCI dev 0 registered
[hcid] HCI dev 0 already up
[hcid] Device hci0 has been added
[hcid] Starting security manager 0
[hcid] Device hci0 has been activated

Then running "pand -c XX" I get:

[pand] Connecting to 00:19:63:14:8C:6C
[hcid] link_key_request (sba=00:10:60:D1:7C:31, dba=00:19:63:14:8C:6C)
[pand] bnep0 connected
[/etc/init.d/net.bnep0] ERROR: interface bnep0 does not exist
[/etc/init.d/net.bnep0] Ensure that you have loaded the correct kernel module for your hardware
[/etc/init.d/net.bnep0] ERROR: net.bnep0 failed to start

It seems pand connects through the bnep0 device, and indeed the mobile
phone i'm connecting to registers the connection and itself connects to
the 3g network, but the kernel complains...

I'm quite lost here and hoping anybody would be kind enough to help.

~mck

-- 
"Microsoft has done for software what McDonald's did for the hamburger."
PC MAGAZINE, June 1997 
| semb.wever.org | sesat.no | sesam.no |